package com.zcloud.service.bus.impl;

import java.util.List;

import com.zcloud.mapper.dsno2.check.RecordItemMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.service.bus.RecordItemService;

/**
 * 说明：检查记录详情
 * 作者：luoxiaobao
 * 时间：2021-01-04
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class RecordItemServiceImpl implements RecordItemService{

	@Autowired
	private RecordItemMapper recorditemMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		recorditemMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		recorditemMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		recorditemMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return recorditemMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return recorditemMapper.listAll(pd);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	@Override
	public List<PageData> listAllForMap(PageData pd)throws Exception{
		return recorditemMapper.listAllForMap(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return recorditemMapper.findById(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		recorditemMapper.deleteAll(ArrayDATA_IDS);
	}

	/**改状态
	 * @param pd
	 * @throws Exception
	 */
	public void editIsnormal(PageData pd)throws Exception{
		recorditemMapper.editIsnormal(pd);
	}

	/**删除清单检查记录检查项（公司停用时使用）
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByCorp(PageData pd)throws Exception{
		recorditemMapper.deleteByCorp(pd);
	}

}

